package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Dfd;
import com.brilliance.isc.bo.Dft;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dfdgrp extends AbstractCommonVo {

    private Dfd rec;

    private Dft blk;

    private Dfacbs cbs;

    private PtsptaVo dff;

    private PtsptaVo apl;

    private PtsptaVo tp9;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Dfd();
        }
        if (blk == null) {
            blk = new Dft();
        }
        if (cbs == null) {
            cbs = new Dfacbs();
        }
        cbs.reset();
        if (dff == null) {
            dff = new PtsptaVo();
        }
        dff.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();
    }
}
